curl -X POST 'https://api.sendforsign.com/api/contract' \
-H 'X-Sendforsign-Key: YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{
"data": {
"action": "create",
"clientKey": "YOUR_CLIENT_KEY",
"userKey": "USER_KEY",
"contract": {
"name": "New contract",
"value": "<p>Contract text</p>"
},
"recipients":[{
"action": "view",
"clientKey": "YOUR_CLIENT_KEY",
"customMessage": "Custom message text",
"fullname": "John Johnson",
"email": "john_johnson@mail.com",
"position": 1
}]
}
}'
{
"contract": {
"createTime": "2023-12-01 12:18:55",
"contractKey": "CONTRACT_KEY"
},
"code": "201",
"message": "Contract created"
}
Contract
Create and send contract
Create a new contract and immediately send it to the recipients.
POST
/
api
/
contract
curl -X POST 'https://api.sendforsign.com/api/contract' \
-H 'X-Sendforsign-Key: YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{
"data": {
"action": "create",
"clientKey": "YOUR_CLIENT_KEY",
"userKey": "USER_KEY",
"contract": {
"name": "New contract",
"value": "<p>Contract text</p>"
},
"recipients":[{
"action": "view",
"clientKey": "YOUR_CLIENT_KEY",
"customMessage": "Custom message text",
"fullname": "John Johnson",
"email": "john_johnson@mail.com",
"position": 1
}]
}
}'
{
"contract": {
"createTime": "2023-12-01 12:18:55",
"contractKey": "CONTRACT_KEY"
},
"code": "201",
"message": "Contract created"
}
Body parameters
object
required
Show child attribute
Show child attribute
string
required
Action type.
string
required
Key of the client.
string
ID of the user who create the contract. If not specified, the default user credentials will be used.
object
required
array
Array of recipients, optional.
Show child attribute
Show child attribute
string
What the recipient needs to do with the contract. Available options:
view, sign, approve, and lock.string
Custom note to the recipient. If not specified, the default message will be sent.
string
Full name of the recipient.
string
required
Email of the recipient.
number
Signing order. If not specified, all requests will be sent simultaneously.
Response
string
The code of the answer.
string
The message of the answer.
curl -X POST 'https://api.sendforsign.com/api/contract' \
-H 'X-Sendforsign-Key: YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{
"data": {
"action": "create",
"clientKey": "YOUR_CLIENT_KEY",
"userKey": "USER_KEY",
"contract": {
"name": "New contract",
"value": "<p>Contract text</p>"
},
"recipients":[{
"action": "view",
"clientKey": "YOUR_CLIENT_KEY",
"customMessage": "Custom message text",
"fullname": "John Johnson",
"email": "john_johnson@mail.com",
"position": 1
}]
}
}'
{
"contract": {
"createTime": "2023-12-01 12:18:55",
"contractKey": "CONTRACT_KEY"
},
"code": "201",
"message": "Contract created"
}
⌘I